#!/usr/bin/env sh

set -e

run_thor() {
     export RAILS_ENV=development
     yes '' | su - dradis -s /bin/sh -c "cd /usr/lib/dradis && bundle exec thor $*"
}

run_rails() {
     export RAILS_ENV=development
     yes '' | su - dradis -s /bin/sh -c "cd /usr/lib/dradis && bundle exec rails db:$*"
}


case $1 in
    setup)
        run_thor dradis:setup:configure
	run_rails migrate
	run_rails seed
    ;;
    migrate)
	run_rails migrate
    ;;
    *)
        echo "usage: $0 setup|migrate" >&2
        exit 1
    ;;
esac
